import { ProxyPropertyKey } from './shared';
import { BaseProxyHandler, ShadowTarget } from './base-handler';
export declare class ReadOnlyHandler extends BaseProxyHandler {
    wrapValue(value: any): any;
    wrapGetter(originalGet: () => any): () => any;
    wrapSetter(originalSet: (v: any) => void): (v: any) => void;
    set(shadowTarget: ShadowTarget, key: ProxyPropertyKey, value: any): boolean;
    deleteProperty(shadowTarget: ShadowTarget, key: ProxyPropertyKey): boolean;
    setPrototypeOf(shadowTarget: ShadowTarget, prototype: any): any;
    preventExtensions(shadowTarget: ShadowTarget): boolean;
    defineProperty(shadowTarget: ShadowTarget, key: ProxyPropertyKey, descriptor: PropertyDescriptor): boolean;
}
